summaryrefslogtreecommitdiff
path: root/tests/dejagnu3.test
diff options
context:
space:
mode:
authorRichard Dawe <rich@phekda.freeserve.co.uk>2003-04-17 19:06:45 +0000
committerRichard Dawe <rich@phekda.freeserve.co.uk>2003-04-17 19:06:45 +0000
commit431aff7bc43c2b1a9698548e3c48fea9028e8d73 (patch)
treec774ca2656448fe68429d4cb9fc522456df3ab3e /tests/dejagnu3.test
parent089e43213a17611a7042b87d450f673a752ebefc (diff)
downloadautomake-431aff7bc43c2b1a9698548e3c48fea9028e8d73.tar.gz
* tests/defs.in: Handle required=runtest, to detect runtest from DejaGnu.
* tests/Makefile.am (TESTS): Add dejagnu3.test. * tests/dejagnu3.test: New test.
Diffstat (limited to 'tests/dejagnu3.test')
-rwxr-xr-xtests/dejagnu3.test63
1 files changed, 63 insertions, 0 deletions
diff --git a/tests/dejagnu3.test b/tests/dejagnu3.test
new file mode 100755
index 000000000..f9c971243
--- /dev/null
+++ b/tests/dejagnu3.test
@@ -0,0 +1,63 @@
+#! /bin/sh
+# Copyright (C) 2003 Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with autoconf; see the file COPYING. If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+# Check that the DejaGnu rules work for a simple program and test case.
+
+required=runtest
+. ./defs || exit 1
+
+set -e
+
+cat > hammer << 'END'
+#! /bin/sh
+echo "Everything looks like a nail to me!"
+END
+
+chmod +x hammer
+
+echo AC_OUTPUT >> configure.in
+
+cat > Makefile.am << 'END'
+AUTOMAKE_OPTIONS = dejagnu
+
+DEJATOOL = hammer
+END
+
+mkdir testsuite
+mkdir testsuite/hammer.test
+
+cat > testsuite/hammer.test/hammer.exp << 'END'
+set test test
+expect {
+Everything looks like a nail to me! { pass "$test" }
+}
+END
+
+$ACLOCAL
+$AUTOCONF
+$AUTOMAKE --add-missing
+
+./configure
+
+$MAKE check
+test -f hammer.log
+test -f hammer.sum
+
+$MAKE distcheck